SellAuth

Reseller Products

List Products

Returns the shop's products with their reseller enrollment flags.

GET
/v1/shops/{shopId}/reseller-products

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

curl -X GET "https://api.sellauth.com/v1/shops/{shopId}/reseller-products" \
  -H "Authorization: Bearer <token>"

{
  "message": "Unauthenticated."
}

Update Products

Bulk-updates reseller enrollment flags for the shop's products.

PUT
/v1/shops/{shopId}/reseller-products

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonRequired
productsRequiredarray<object>

The products to update.

Path Parameters

shopIdRequiredinteger

The shop ID.

curl -X PUT "https://api.sellauth.com/v1/shops/{shopId}/reseller-products" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "products": [
      {
        "id": 123,
        "reseller_enabled": true,
        "reseller_disable_volume_discount": false
      }
    ]
  }'